Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 617628 - sys-fs/zfs-0.6.5.9 : ../.../libuutil.so: undefined reference to `minor'
Summary: sys-fs/zfs-0.6.5.9 : ../.../libuutil.so: undefined reference to `minor'
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Richard Yao
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-sysmacros
  Show dependency tree
 
Reported: 2017-05-06 07:19 UTC by Toralf Förster
Modified: 2017-11-17 19:49 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,5.46 KB, text/plain)
2017-05-06 07:19 UTC, Toralf Förster
Details
config.log.tbz2 (config.log.tbz2,8.35 KB, application/x-bzip)
2017-05-06 07:19 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,275.31 KB, text/plain)
2017-05-06 07:19 UTC, Toralf Förster
Details
environment (environment,195.91 KB, text/plain)
2017-05-06 07:19 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,27.55 KB, application/x-bzip)
2017-05-06 07:19 UTC, Toralf Förster
Details
sys-fs:zfs-0.6.5.9:20170506-012900.log (sys-fs:zfs-0.6.5.9:20170506-012900.log,198.95 KB, text/plain)
2017-05-06 07:19 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,51.97 KB, application/x-bzip)
2017-05-06 07:19 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-05-06 07:19:03 UTC
 
/bin/sh ../../libtool  --tag=CC --silent  --mode=link x86_64-pc-linux-gnu-gcc -DNDEBUG -Wall -Wstrict-prototypes -Wno-unused-but-set-variable -Wno-bool-compare -fno-strict-aliasing -O2 -pipe -march=native -Wall -pthread -Wl,-O1 -Wl,--as-needed -o zfs zfs_iter.o zfs_main.o ../../lib/libnvpair/libnvpair.la ../../lib/libuutil/libuutil.la ../../lib/libzpool/libzpool.la ../../lib/libzfs/libzfs.la ../../lib/libzfs_core/libzfs_core.la -lz -luuid -luuid -lz -lz -lz 
../../lib/libuutil/.libs/libuutil.so: undefined reference to `minor'

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-no-multilib_20170430-191602

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
  [2]   ruby22 (with Rubygems)
Comment 1 Toralf Förster gentoo-dev 2017-05-06 07:19:06 UTC
Created attachment 471778 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-05-06 07:19:10 UTC
Created attachment 471780 [details]
config.log.tbz2
Comment 3 Toralf Förster gentoo-dev 2017-05-06 07:19:13 UTC
Created attachment 471782 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-05-06 07:19:16 UTC
Created attachment 471784 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-05-06 07:19:19 UTC
Created attachment 471786 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-05-06 07:19:22 UTC
Created attachment 471788 [details]
sys-fs:zfs-0.6.5.9:20170506-012900.log
Comment 7 Toralf Förster gentoo-dev 2017-05-06 07:19:25 UTC
Created attachment 471790 [details]
temp.tbz2
Comment 8 Jonathan Vasquez (RETIRED) gentoo-dev 2017-05-07 22:52:44 UTC
If you try to build this with gcc 5.4.0, would it fail (5.4.0 is fine on my machine but I don't have 6.3.0 installed).
Comment 9 Andreas K. Hüttel gentoo-dev 2017-10-20 20:29:45 UTC
Ping - this is now blocking glibc-2.25 stabilization.
Comment 10 Jonathan Vasquez (RETIRED) gentoo-dev 2017-10-21 00:12:08 UTC
Are previous versions of ZFS also giving you the same error? Is 0.6.5.10 giving you the same error? Depending on the result, we might either patch the 0.6.5.10 fix for this from upstream or remove 0.6.5.9 (most likely the former).
Comment 11 Jonathan Vasquez (RETIRED) gentoo-dev 2017-11-17 19:49:36 UTC
Added glibc >= 2.25 blocker for versions below 0.7.0 in commit:

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85f770691d261eac897d8e45ae4b175ed3ac04f6